|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QStyleOptionToolBoxV2 Class Reference
[QtGui module]

The QStyleOptionToolBoxV2 class is used to describe the parameters necessary for drawing a frame in Qt 4.3 or above. More...

     #include <QStyleOptionToolBoxV2>

Inherits QStyleOptionToolBox.

This class was introduced in Qt 4.3.

- List of all members, including inherited members

### Public Types

- enum SelectedPosition { NotAdjacent, NextIsSelected, PreviousIsSelected }
- enum StyleOptionVersion { Version }
- enum TabPosition { Beginning, Middle, End, OnlyOneTab }

### Public Functions

- QStyleOptionToolBoxV2 ()
- QStyleOptionToolBoxV2 ( const QStyleOptionToolBoxV2 & other )
- QStyleOptionToolBoxV2 ( const QStyleOptionToolBox & other )
- QStyleOptionToolBoxV2 & operator= ( const QStyleOptionToolBox & other )

- 2 public functions inherited from QStyleOption

### Public Variables

- SelectedPosition selectedPosition

- 2 public variables inherited from QStyleOptionToolBox
- 7 public variables inherited from QStyleOption

## Detailed Description

The QStyleOptionToolBoxV2 class is used to describe the parameters necessary for drawing a frame in Qt 4.3 or above.

QStyleOptionToolBoxV2 inherits QStyleOptionToolBox which is used for drawing the tabs in a QToolBox.

An instance of the QStyleOptionToolBoxV2 class has type SO_ToolBox and version 2. The type is used internally by QStyleOption, its subclasses, and qstyleoption_cast() to determine the type of style option. In general you do not need to worry about this unless you want to create your own QStyleOption subclass and your own styles. The version is used by QStyleOption subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally don't need to check it.

If you create your own QStyle subclass, you should handle both QStyleOptionToolBox and QStyleOptionToolBoxV2.

See also QStyleOptionToolBox and QStyleOption.

## Member Type Documentation

### enum QStyleOptionToolBoxV2::SelectedPosition

This enum describes the position of the selected tab. Some styles need to draw a tab differently depending on whether or not it is adjacent to the selected tab.

Constant | Value | Description
--- | --- | ---
`QStyleOptionToolBoxV2::NotAdjacent` | `0` | The tab is not adjacent to a selected tab (or is the selected tab).
`QStyleOptionToolBoxV2::NextIsSelected` | `1` | The next tab (typically the tab on the right) is selected.
`QStyleOptionToolBoxV2::PreviousIsSelected` | `2` | The previous tab (typically the tab on the left) is selected.

See also selectedPosition.

### enum QStyleOptionToolBoxV2::StyleOptionVersion

This enum holds the version of this style option

Constant | Value | Description
--- | --- | ---
`QStyleOptionToolBoxV2::Version` | `2` | 2

### enum QStyleOptionToolBoxV2::TabPosition

This enum describes tab positions relative to other tabs.

Constant | Value | Description
--- | --- | ---
`QStyleOptionToolBoxV2::Beginning` | `0` | The tab is the first (i.e., top-most) tab in the toolbox.
`QStyleOptionToolBoxV2::Middle` | `1` | The tab is placed in the middle of the toolbox.
`QStyleOptionToolBoxV2::End` | `2` | The tab is placed at the bottom of the toolbox.
`QStyleOptionToolBoxV2::OnlyOneTab` | `3` | There is only one tab in the toolbox.

## Member Function Documentation

### QStyleOptionToolBoxV2::QStyleOptionToolBoxV2 ()

Contsructs a QStyleOptionToolBoxV2 object.

### QStyleOptionToolBoxV2::QStyleOptionToolBoxV2 ( const QStyleOptionToolBoxV2 & other )

Constructs a QStyleOptionToolBoxV2 copy of the other style option.

### QStyleOptionToolBoxV2::QStyleOptionToolBoxV2 ( const QStyleOptionToolBox & other )

Constructs a QStyleOptionToolBoxV2 copy of the other style option which can be either of the QStyleOptionToolBoxV2 or QStyleOptionToolBox types.

If the other style option's version is 1, the new style option's position value is set to QStyleOptionToolBoxV2::Beginning and selectedPosition is set to QStyleOptionToolBoxV2::NotAdjacent. If its version is 2, the position selectedPosition values are simply copied to the new style option.

See also version.

### QStyleOptionToolBoxV2 & QStyleOptionToolBoxV2::operator= ( const QStyleOptionToolBox & other )

Assigns the other style option to this style option. The other style option can be either of the QStyleOptionToolBoxV2 or QStyleOptionToolBox types.

If the other style option's version is 1, this style option's position and selectedPosition values are set to QStyleOptionToolBoxV2::Beginning and QStyleOptionToolBoxV2::NotAdjacent respectively. If its version is 2, these values are simply copied to this style option.

## Member Variable Documentation

### SelectedPosition QStyleOptionToolBoxV2::selectedPosition

This variable holds the position of the selected tab in relation to this tab.

The default value is NotAdjacent, i.e. the tab is not adjacent to a selected tab nor is it the selected tab.